Skip to content

v2_services_instances_resize_options_retrieve

GET
/api/v2/services/instances/{service_id}/resize_options/
curl --request GET \
--url https://example.com/api/v2/services/instances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resize_options/ \
--header 'X-API-Key: <X-API-Key>'

List plans this VM can resize to (upgrade/downgrade), with pricing for each option.

service_id
required
string format: uuid
Media typeapplication/json
object
success
required
boolean
data
nullable
meta
object
page
integer
size
integer
total
integer
active_total
integer
total_pages
integer
has_next
boolean
has_prev
boolean
sort_by
string
sort_dir
string
msg
object
msg_kind
string
msg_text
string
error
string
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"data": "example",
"meta": {
"page": 1,
"size": 1,
"total": 1,
"active_total": 1,
"total_pages": 1,
"has_next": true,
"has_prev": true,
"sort_by": "example",
"sort_dir": "example"
},
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"error": "example",
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}